export const handleAlertType = (type: string) => {
  const alert = {
    bg: '',
    border: '',
    icon: '',
    text: ''
  }

  switch (type) {
    case 'error':
      alert.bg = 'bg-red-50'
      alert.border = 'border border-red-100'
      alert.icon = 'FiAlertCircle'
      alert.text = 'text-red-600'
      return alert
    case 'info':
      alert.bg = 'bg-blue-50'
      alert.border = 'border border-blue-100'
      alert.icon = 'FiBookmark'
      alert.text = 'text-blue-600'
      return alert
    case 'success':
      alert.bg = 'bg-green-50'
      alert.border = 'border border-green-100'
      alert.icon = 'FiCheckSquare'
      alert.text = 'text-green-600'
      return alert
    default:
      alert.bg = 'bg-gray-50'
      alert.border = 'border border-gray-100'
      alert.icon = 'FiHelpCircle'
      alert.text = 'text-gray-600'
      return alert
  }
}
